--- ./common/beamdef.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/beamdef.h	Fri Jan 12 12:48:43 2001
@@ -15,7 +15,9 @@
 #if !defined ( BEAMDEFH )
 #define BEAMDEFH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #define FBEAM_STARTENTITY		0x00000001
@@ -59,4 +61,4 @@
 	struct particle_s	*particles;
 };
 
-#endif
\ No newline at end of file
+#endif
--- ./common/cl_entity.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/cl_entity.h	Fri Jan 12 12:48:44 2001
@@ -16,7 +16,9 @@
 #if !defined( CL_ENTITYH )
 #define CL_ENTITYH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct efrag_s
@@ -112,4 +114,4 @@
 	colorVec				cvFloorColor;
 };
 
-#endif // !CL_ENTITYH
\ No newline at end of file
+#endif // !CL_ENTITYH
--- ./common/com_model.h.orig	Wed Nov  8 16:36:18 2000
+++ ./common/com_model.h	Tue Jan  9 03:26:18 2001
@@ -2,7 +2,9 @@
 #if !defined( COM_MODEL_H )
 #define COM_MODEL_H
 #if defined( _WIN32 )
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #define STUDIO_RENDER 1
--- ./common/con_nprint.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/con_nprint.h	Fri Jan 12 12:48:48 2001
@@ -15,7 +15,9 @@
 #if !defined( CON_NPRINTH )
 #define CON_NPRINTH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct con_nprint_s
@@ -28,4 +30,4 @@
 void Con_NPrintf( int idx, char *fmt, ... );
 void Con_NXPrintf( struct con_nprint_s *info, char *fmt, ... );
 
-#endif
\ No newline at end of file
+#endif
--- ./common/crc.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/crc.h	Tue Jan  9 03:26:18 2001
@@ -16,7 +16,9 @@
 #ifndef CRC_H
 #define CRC_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // MD5 Hash
--- ./common/demo_api.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/demo_api.h	Fri Jan 12 12:48:49 2001
@@ -15,7 +15,9 @@
 #if !defined ( DEMO_APIH )
 #define DEMO_APIH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct demo_api_s
@@ -28,4 +30,4 @@
 
 extern demo_api_t demoapi;
 
-#endif
\ No newline at end of file
+#endif
--- ./common/dlight.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/dlight.h	Fri Jan 12 12:48:51 2001
@@ -15,7 +15,9 @@
 #if !defined ( DLIGHTH )
 #define DLIGHTH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct
@@ -30,4 +32,4 @@
 	qboolean	dark;			// subtracts light instead of adding
 } dlight_t;
 
-#endif
\ No newline at end of file
+#endif
--- ./common/engine_launcher_api.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/engine_launcher_api.h	Fri Jan 12 12:48:52 2001
@@ -2,7 +2,9 @@
 #if !defined( ENGINE_LAUNCHER_APIH )
 #define ENGINE_LAUNCHER_APIH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 //typedef void ( *xcommand_t ) ( void );
@@ -98,4 +100,4 @@
 
 } engine_api_t;
 
-#endif // ENGINE_LAUNCHER_APIH
\ No newline at end of file
+#endif // ENGINE_LAUNCHER_APIH
--- ./common/entity_state.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/entity_state.h	Fri Jan 12 12:48:53 2001
@@ -15,7 +15,9 @@
 #if !defined( ENTITY_STATEH )
 #define ENTITY_STATEH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // For entityType below
@@ -190,4 +192,4 @@
 	weapon_data_t  weapondata[ 32 ];
 } local_state_t;
 
-#endif // !ENTITY_STATEH
\ No newline at end of file
+#endif // !ENTITY_STATEH
--- ./common/event_api.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/event_api.h	Tue Jan  9 03:26:18 2001
@@ -15,7 +15,9 @@
 #if !defined ( EVENT_APIH )
 #define EVENT_APIH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #define EVENT_API_VERSION 1
--- ./common/event_args.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/event_args.h	Tue Jan  9 03:26:18 2001
@@ -15,7 +15,9 @@
 #if !defined( EVENT_ARGSH )
 #define EVENT_ARGSH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // Event was invoked with stated origin
--- ./common/event_flags.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/event_flags.h	Fri Jan 12 12:48:55 2001
@@ -15,7 +15,9 @@
 #if !defined( EVENT_FLAGSH )
 #define EVENT_FLAGSH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // Skip local host for event send.
@@ -44,4 +46,4 @@
 // Only issue event client side ( from shared code )
 #define FEV_CLIENT		(1<<6)
 
-#endif
\ No newline at end of file
+#endif
--- ./common/in_buttons.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/in_buttons.h	Fri Jan 12 12:48:56 2001
@@ -15,7 +15,9 @@
 #ifndef IN_BUTTONS_H
 #define IN_BUTTONS_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #define IN_ATTACK	(1 << 0)
@@ -35,4 +37,4 @@
 #define IN_ALT1		(1 << 14)
 #define IN_SCORE	(1 << 15)   // Used by client.dll for when scoreboard is held down
 
-#endif // IN_BUTTONS_H
\ No newline at end of file
+#endif // IN_BUTTONS_H
--- ./common/net_api.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/net_api.h	Fri Jan 12 12:48:57 2001
@@ -1,7 +1,9 @@
 #if !defined( NET_APIH )
 #define NET_APIH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #if !defined ( NETADRH )
@@ -89,4 +91,4 @@
 
 extern net_api_t netapi;
 
-#endif // NET_APIH
\ No newline at end of file
+#endif // NET_APIH
--- ./common/netadr.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/netadr.h	Fri Jan 12 12:48:58 2001
@@ -16,7 +16,9 @@
 #ifndef NETADR_H
 #define NETADR_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef enum
@@ -37,4 +39,4 @@
 	unsigned short	port;
 } netadr_t;
 
-#endif // NETADR_H
\ No newline at end of file
+#endif // NETADR_H
--- ./common/particledef.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/particledef.h	Fri Jan 12 12:49:00 2001
@@ -15,7 +15,9 @@
 #if !defined( PARTICLEDEFH )
 #define PARTICLEDEFH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef enum {
@@ -54,4 +56,4 @@
 	unsigned char context;
 } particle_t;
 
-#endif
\ No newline at end of file
+#endif
--- ./common/pmtrace.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/pmtrace.h	Fri Jan 12 12:49:01 2001
@@ -15,7 +15,9 @@
 #if !defined( PMTRACEH )
 #define PMTRACEH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct
@@ -40,4 +42,4 @@
 	int         hitgroup;
 };
 
-#endif
\ No newline at end of file
+#endif
--- ./common/qfont.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/qfont.h	Fri Jan 12 12:49:02 2001
@@ -15,7 +15,9 @@
 #if !defined( QFONTH )
 #define QFONTH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // Font stuff
@@ -37,4 +39,4 @@
 	byte 		data[4];
 } qfont_t;
 
-#endif // qfont.h
\ No newline at end of file
+#endif // qfont.h
--- ./common/r_efx.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/r_efx.h	Fri Jan 12 12:49:03 2001
@@ -14,7 +14,9 @@
 ****/
 #if !defined ( R_EFXH )
 #define R_EFXH
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 
 // particle_t
 #if !defined( PARTICLEDEFH )  
@@ -191,4 +193,4 @@
 
 extern efx_api_t efx;
 
-#endif
\ No newline at end of file
+#endif
--- ./common/r_studioint.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/r_studioint.h	Fri Jan 12 12:49:04 2001
@@ -1,7 +1,9 @@
 #if !defined( R_STUDIOINT_H )
 #define R_STUDIOINT_H
 #if defined( _WIN32 )
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #define STUDIO_INTERFACE_VERSION 1
@@ -105,4 +107,4 @@
 
 extern r_studio_interface_t *pStudioAPI;
 
-#endif // R_STUDIOINT_H
\ No newline at end of file
+#endif // R_STUDIOINT_H
--- ./common/screenfade.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/screenfade.h	Fri Jan 12 12:49:05 2001
@@ -1,7 +1,9 @@
 #if !defined( SCREENFADEH )
 #define SCREENFADEH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct screenfade_s
@@ -13,4 +15,4 @@
 	int			fadeFlags;		// Fading flags
 } screenfade_t;
 
-#endif // !SCREENFADEH
\ No newline at end of file
+#endif // !SCREENFADEH
--- ./common/studio_event.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/studio_event.h	Fri Jan 12 12:49:21 2001
@@ -15,7 +15,9 @@
 #if !defined( STUDIO_EVENTH )
 #define STUDIO_EVENTH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct mstudioevent_s
@@ -26,4 +28,4 @@
 	char				options[64];
 } mstudioevent_t;
 
-#endif // STUDIO_EVENTH
\ No newline at end of file
+#endif // STUDIO_EVENTH
--- ./common/triangleapi.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/triangleapi.h	Fri Jan 12 12:49:22 2001
@@ -14,7 +14,9 @@
 ****/
 #if !defined( TRIANGLEAPIH )
 #define TRIANGLEAPIH
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 
 typedef enum 
 {
@@ -51,4 +53,4 @@
 	int			( *WorldToScreen ) ( float *world, float *screen );  // Returns 1 if it's z clipped
 } triangleapi_t;
 
-#endif // !TRIANGLEAPIH
\ No newline at end of file
+#endif // !TRIANGLEAPIH
--- ./common/usercmd.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/usercmd.h	Fri Jan 12 12:49:23 2001
@@ -15,7 +15,9 @@
 #ifndef USERCMD_H
 #define USERCMD_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct usercmd_s
@@ -38,4 +40,4 @@
 	vec3_t	impact_position;
 } usercmd_t;
 
-#endif // USERCMD_H
\ No newline at end of file
+#endif // USERCMD_H
--- ./common/weaponinfo.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/weaponinfo.h	Fri Jan 12 12:49:24 2001
@@ -15,7 +15,9 @@
 #if !defined ( WEAPONINFOH )
 #define WEAPONINFOH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // Info about weapons player might have in his/her possession
@@ -49,4 +51,4 @@
 	float		fuser4;
 } weapon_data_t;
 
-#endif
\ No newline at end of file
+#endif
--- ./common/cvardef.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/cvardef.h	Fri Jan 12 12:50:34 2001
@@ -33,4 +33,4 @@
 	float	value;
 	struct cvar_s *next;
 } cvar_t;
-#endif
\ No newline at end of file
+#endif
--- ./common/entity_types.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/entity_types.h	Fri Jan 12 12:50:35 2001
@@ -23,4 +23,4 @@
 // BMODEL or SPRITE that was split across BSP nodes
 #define ET_FRAGMENTED	4
 
-#endif // !ENTITY_TYPESH
\ No newline at end of file
+#endif // !ENTITY_TYPESH
--- ./common/ref_params.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/ref_params.h	Fri Jan 12 12:50:36 2001
@@ -66,4 +66,4 @@
 	struct movevars_s *movevars;
 } ref_params_t;
 
-#endif // !REF_PARAMSH
\ No newline at end of file
+#endif // !REF_PARAMSH
--- ./common/exefuncs.h.orig	Wed Nov  8 16:36:50 2000
+++ ./common/exefuncs.h	Fri Jan 12 12:51:09 2001
@@ -38,4 +38,4 @@
 	void		(*unused25)(void);
 } exefuncs_t;
 
-#endif
\ No newline at end of file
+#endif
--- ./cl_dll/GameStudioModelRenderer.h.orig	Wed Nov  8 16:36:48 2000
+++ ./cl_dll/GameStudioModelRenderer.h	Tue Jan  9 03:26:18 2001
@@ -1,7 +1,9 @@
 #if !defined( GAMESTUDIOMODELRENDERER_H )
 #define GAMESTUDIOMODELRENDERER_H
 #if defined( _WIN32 )
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 /*
--- ./cl_dll/GameStudioModelRenderer_Sample.h.orig	Wed Nov  8 16:36:48 2000
+++ ./cl_dll/GameStudioModelRenderer_Sample.h	Tue Jan  9 03:26:18 2001
@@ -1,7 +1,9 @@
 #if !defined( GAMESTUDIOMODELRENDERER_H )
 #define GAMESTUDIOMODELRENDERER_H
 #if defined( _WIN32 )
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 /*
--- ./cl_dll/StudioModelRenderer.h.orig	Wed Nov  8 16:36:48 2000
+++ ./cl_dll/StudioModelRenderer.h	Tue Jan  9 03:26:18 2001
@@ -1,7 +1,9 @@
 #if !defined ( STUDIOMODELRENDERER_H )
 #define STUDIOMODELRENDERER_H
 #if defined( _WIN32 )
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 /*
--- ./cl_dll/com_weapons.h.orig	Wed Nov  8 16:36:46 2000
+++ ./cl_dll/com_weapons.h	Tue Jan  9 03:26:18 2001
@@ -3,7 +3,9 @@
 #if !defined( COM_WEAPONSH )
 #define COM_WEAPONSH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #include "hud_iface.h"
--- ./cl_dll/demo.h.orig	Wed Nov  8 16:36:46 2000
+++ ./cl_dll/demo.h	Tue Jan  9 03:26:18 2001
@@ -1,6 +1,8 @@
 #if !defined( DEMOH )
 #define DEMOH
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 
 // Types of demo messages we can write/parse
 enum
--- ./cl_dll/hud_iface.h.orig	Wed Nov  8 16:36:48 2000
+++ ./cl_dll/hud_iface.h	Tue Jan  9 03:26:18 2001
@@ -1,6 +1,8 @@
 #if !defined( HUD_IFACEH )
 #define HUD_IFACEH
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 
 #define EXPORT		_declspec( dllexport )
 #define _DLLEXPORT __declspec( dllexport )
--- ./cl_dll/hud_servers.h.orig	Wed Nov  8 16:36:48 2000
+++ ./cl_dll/hud_servers.h	Tue Jan  9 03:26:18 2001
@@ -1,6 +1,8 @@
 #if !defined( HUD_SERVERSH )
 #define HUD_SERVERSH
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 
 #define NET_CALLBACK /* */
 
--- ./cl_dll/hud_servers_priv.h.orig	Wed Nov  8 16:36:48 2000
+++ ./cl_dll/hud_servers_priv.h	Tue Jan  9 03:26:18 2001
@@ -1,6 +1,8 @@
 #if !defined( HUD_SERVERS_PRIVH )
 #define HUD_SERVERS_PRIVH
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 
 #include "netadr.h"
 
--- ./cl_dll/in_defs.h.orig	Wed Nov  8 16:36:48 2000
+++ ./cl_dll/in_defs.h	Tue Jan  9 03:26:18 2001
@@ -1,6 +1,8 @@
 #if !defined( IN_DEFSH )
 #define IN_DEFSH
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 
 // up / down
 #define	PITCH	0
--- ./cl_dll/kbutton.h.orig	Wed Nov  8 16:36:48 2000
+++ ./cl_dll/kbutton.h	Tue Jan  9 03:26:18 2001
@@ -1,6 +1,8 @@
 #if !defined( KBUTTONH )
 #define KBUTTONH
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 
 typedef struct kbutton_s
 {
--- ./cl_dll/studio_util.h.orig	Wed Nov  8 16:36:48 2000
+++ ./cl_dll/studio_util.h	Tue Jan  9 03:26:18 2001
@@ -1,7 +1,9 @@
 #if !defined( STUDIO_UTIL_H )
 #define STUDIO_UTIL_H
 #if defined( WIN32 )
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #ifndef M_PI
--- ./cl_dll/view.h.orig	Wed Nov  8 16:36:50 2000
+++ ./cl_dll/view.h	Tue Jan  9 03:26:18 2001
@@ -1,6 +1,8 @@
 #if !defined ( VIEWH )
 #define VIEWH 
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 
 void V_StartPitchDrift( void );
 void V_StopPitchDrift( void );
--- ./dlls/enginecallback.h.orig	Wed Nov  8 16:36:52 2000
+++ ./dlls/enginecallback.h	Tue Jan  9 03:16:31 2001
@@ -14,7 +14,9 @@
 ****/
 #ifndef ENGINECALLBACK_H
 #define ENGINECALLBACK_H
+#if defined(_WIN32) && !defined(__MINGW32__)
 #pragma once
+#endif /* _WIN32 && !__MINGW32__ */
 
 #include "event_flags.h"
 
@@ -157,4 +159,4 @@
 
 #define PLAYER_CNX_STATS		( *g_engfuncs.pfnGetPlayerStats )
 
-#endif		//ENGINECALLBACK_H
\ No newline at end of file
+#endif		//ENGINECALLBACK_H
--- ./dlls/weapons.h.orig	Wed Nov  8 16:36:56 2000
+++ ./dlls/weapons.h	Wed Jan  3 02:27:58 2001
@@ -441,7 +441,7 @@
 	int		Restore( CRestore &restore );
 	static	TYPEDESCRIPTION m_SaveData[];
 
-	HasWeapon( CBasePlayerItem *pCheckItem );
+	BOOL HasWeapon( CBasePlayerItem *pCheckItem );
 	BOOL PackWeapon( CBasePlayerItem *pWeapon );
 	BOOL PackAmmo( int iszName, int iCount );
 	
--- ./dlls/cbase.h.orig	Wed Nov  8 16:36:52 2000
+++ ./dlls/cbase.h	Fri Feb  2 03:54:16 2001
@@ -186,7 +186,7 @@
 	virtual void	SetToggleState( int state ) {}
 	virtual void    StartSneaking( void ) {}
 	virtual void    StopSneaking( void ) {}
-	virtual BOOL	OnControls( entvars_t *pev ) { return FALSE; }
+	virtual BOOL	OnControls( entvars_t *onpev ) { return FALSE; }
 	virtual BOOL    IsSneaking( void ) { return FALSE; }
 	virtual BOOL	IsAlive( void ) { return (pev->deadflag == DEAD_NO) && pev->health > 0; }
 	virtual BOOL	IsBSPModel( void ) { return pev->solid == SOLID_BSP || pev->movetype == MOVETYPE_PUSHSTEP; }
@@ -217,13 +217,13 @@
 	virtual void Blocked( CBaseEntity *pOther ) { if (m_pfnBlocked) (this->*m_pfnBlocked)( pOther ); };
 
 	// allow engine to allocate instance data
-    void *operator new( size_t stAllocateBlock, entvars_t *pev )
+    void *operator new( size_t stAllocateBlock, entvars_t *newpev )
 	{
-		return (void *)ALLOC_PRIVATE(ENT(pev), stAllocateBlock);
+		return (void *)ALLOC_PRIVATE(ENT(newpev), stAllocateBlock);
 	};
 
 	// don't use this.
-#if _MSC_VER >= 1200 // only build this code if MSVC++ 6.0 or higher
+#if defined(_MSC_VER) && _MSC_VER >= 1200 // only build this code if MSVC++ 6.0 or higher
 	void operator delete(void *pMem, entvars_t *pev)
 	{
 		pev->flags |= FL_KILLME;
@@ -269,8 +269,8 @@
 	}
 #endif
 
-	static CBaseEntity *Instance( entvars_t *pev ) { return Instance( ENT( pev ) ); }
-	static CBaseEntity *Instance( int eoffset) { return Instance( ENT( eoffset) ); }
+	static CBaseEntity *Instance( entvars_t *instpev ) { return Instance( ENT( instpev ) ); }
+	static CBaseEntity *Instance( int inst_eoffset) { return Instance( ENT( inst_eoffset) ); }
 
 	CBaseMonster *GetMonsterPointer( entvars_t *pevMonster ) 
 	{ 
--- ./dlls/extdll.h.orig	Wed Nov  8 16:36:52 2000
+++ ./dlls/extdll.h	Fri Jan 12 13:57:26 2001
@@ -39,12 +39,12 @@
 #define NOSERVICE
 #define NOMCX
 #define NOIME
-#include "WINDOWS.H"
+#include "windows.h"
  
 // Misc C-runtime library headers
-#include "STDIO.H"
-#include "STDLIB.H"
-#include "MATH.H"
+#include "stdio.h"
+#include "stdlib.h"
+#include "math.h"
  
 #else
 #include <stdarg.h>
--- ./dlls/vector.h.orig	Wed Nov  8 16:36:56 2000
+++ ./dlls/vector.h	Fri Jan 12 17:18:15 2001
@@ -22,8 +22,8 @@
 class Vector2D
 {
 public:
-	inline Vector2D(void)									{ }
-	inline Vector2D(float X, float Y)						{ x = X; y = Y; }
+	inline Vector2D(void): x(0.0), y(0.0)								{ };
+	inline Vector2D(float X, float Y): x(0.0), y(0.0)				{ x = X; y = Y; }
 	inline Vector2D operator+(const Vector2D& v)	const	{ return Vector2D(x+v.x, y+v.y);	}
 	inline Vector2D operator-(const Vector2D& v)	const	{ return Vector2D(x-v.x, y-v.y);	}
 	inline Vector2D operator*(float fl)				const	{ return Vector2D(x*fl, y*fl);	}
@@ -33,7 +33,7 @@
 
 	inline Vector2D Normalize ( void ) const
 	{
-		Vector2D vec2;
+		// Vector2D vec2;
 
 		float flLen = Length();
 		if ( flLen == 0 )
@@ -60,12 +60,12 @@
 {								//		which is a vec_t[3]
 public:
 	// Construction/destruction
-	inline Vector(void)								{ }
-	inline Vector(float X, float Y, float Z)		{ x = X; y = Y; z = Z;						}
+	inline Vector(void): x(0.0), y(0.0), z(0.0)					{ }
+	inline Vector(float X, float Y, float Z): x(0.0), y(0.0), z(0.0)	{ x = X; y = Y; z = Z;			}
 	//inline Vector(double X, double Y, double Z)		{ x = (float)X; y = (float)Y; z = (float)Z;	}
 	//inline Vector(int X, int Y, int Z)				{ x = (float)X; y = (float)Y; z = (float)Z;	}
-	inline Vector(const Vector& v)					{ x = v.x; y = v.y; z = v.z;				} 
-	inline Vector(float rgfl[3])					{ x = rgfl[0]; y = rgfl[1]; z = rgfl[2];	}
+	inline Vector(const Vector& v): x(0.0), y(0.0), z(0.0)			{ x = v.x; y = v.y; z = v.z;		} 
+	inline Vector(float rgfl[3]): x(0.0), y(0.0), z(0.0)			{ x = rgfl[0]; y = rgfl[1]; z = rgfl[2];	}
 
 	// Operators
 	inline Vector operator-(void) const				{ return Vector(-x,-y,-z);				}
@@ -109,4 +109,4 @@
 
 
 
-#endif
\ No newline at end of file
+#endif
--- ./dlls/cdll_dll.h.orig	Wed Nov  8 16:36:52 2000
+++ ./dlls/cdll_dll.h	Fri Jan 12 12:56:09 2001
@@ -43,4 +43,4 @@
 
 #define WEAPON_SUIT			31
 
-#endif
\ No newline at end of file
+#endif
--- ./dlls/nodes.h.orig	Wed Nov  8 16:36:54 2000
+++ ./dlls/nodes.h	Fri Jan 12 12:52:26 2001
@@ -51,4 +51,4 @@
 
 extern CGraph WorldGraph;
 
-#endif	// NODES_H
\ No newline at end of file
+#endif	// NODES_H
--- ./dlls/spectator.h.orig	Wed Nov  8 16:36:56 2000
+++ ./dlls/spectator.h	Fri Jan 12 12:52:27 2001
@@ -24,4 +24,4 @@
 
 private:
 	void SpectatorImpulseCommand(void);
-};
\ No newline at end of file
+};
--- ./dlls/util.h.orig	Wed Nov  8 16:36:56 2000
+++ ./dlls/util.h	Fri Jan 12 12:55:49 2001
@@ -105,7 +105,7 @@
 inline EOFFSET OFFSET(EOFFSET eoffset)			{ return eoffset; }
 inline EOFFSET OFFSET(const edict_t *pent)	
 { 
-#if _DEBUG
+#ifdef _DEBUG
 	if ( !pent )
 		ALERT( at_error, "Bad ent in OFFSET()\n" );
 #endif
@@ -113,7 +113,7 @@
 }
 inline EOFFSET OFFSET(entvars_t *pev)				
 { 
-#if _DEBUG
+#ifdef _DEBUG
 	if ( !pev )
 		ALERT( at_error, "Bad pev in OFFSET()\n" );
 #endif
--- ./dlls/saverestore.h.orig	Wed Nov  8 16:36:54 2000
+++ ./dlls/saverestore.h	Fri Feb  2 04:18:10 2001
@@ -23,7 +23,7 @@
 public:
 	CSaveRestoreBuffer( void );
 	CSaveRestoreBuffer( SAVERESTOREDATA *pdata );
-	~CSaveRestoreBuffer( void );
+	virtual ~CSaveRestoreBuffer( void );
 
 	int			EntityIndex( entvars_t *pevLookup );
 	int			EntityIndex( edict_t *pentLookup );
@@ -41,6 +41,10 @@
 	SAVERESTOREDATA		*m_pdata;
 	void		BufferRewind( int size );
 	unsigned int	HashString( const char *pszToken );
+private:
+	// effc++ rule 11
+	void		operator=(CSaveRestoreBuffer&);
+	CSaveRestoreBuffer(const CSaveRestoreBuffer&);
 };
 
 
@@ -82,7 +86,7 @@
 class CRestore : public CSaveRestoreBuffer
 {
 public:
-	CRestore( SAVERESTOREDATA *pdata ) : CSaveRestoreBuffer( pdata ) { m_global = 0; m_precache = TRUE; }
+	CRestore( SAVERESTOREDATA *pdata ) : CSaveRestoreBuffer( pdata ), m_global(0), m_precache(TRUE)	{ }
 
 	int		ReadEntVars( const char *pname, entvars_t *pev );		// entvars_t
 	int		ReadFields( const char *pname, void *pBaseData, TYPEDESCRIPTION *pFields, int fieldCount );
@@ -163,6 +167,9 @@
 	globalentity_t	*Find( string_t globalname );
 	globalentity_t	*m_pList;
 	int				m_listCount;
+	// effc++ rule 11
+	void		operator=(CGlobalState&);
+	CGlobalState(const CGlobalState&);
 };
 
 extern CGlobalState gGlobalState;
--- ./dedicated/md5.h.orig	Wed Nov  8 16:36:52 2000
+++ ./dedicated/md5.h	Tue Jan  9 03:26:18 2001
@@ -1,6 +1,8 @@
 #if !defined( MD5H )
 #define MD5H
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 
 int MD5_Hash_File(unsigned char digest[16], char *pszFileName );
 
--- ./dedicated/sys_ded.h.orig	Wed Nov  8 16:36:52 2000
+++ ./dedicated/sys_ded.h	Tue Jan  9 03:26:18 2001
@@ -1,7 +1,9 @@
 #if !defined( SYS_DEDH )
 #define SYS_DEDH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 long Sys_LoadLibrary( char *lib );
--- ./engine/custom.h.orig	Wed Nov  8 16:36:56 2000
+++ ./engine/custom.h	Fri Jan 12 12:52:52 2001
@@ -17,7 +17,9 @@
 #ifndef CUSTOM_H
 #define CUSTOM_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #include "const.h"
@@ -99,4 +101,4 @@
 				struct customization_s **pCustomization, int *nLumps ); 
 int			COM_SizeofResourceList ( struct resource_s *pList, struct resourceinfo_s *ri );
 
-#endif // CUSTOM_H
\ No newline at end of file
+#endif // CUSTOM_H
--- ./engine/edict.h.orig	Wed Nov  8 16:36:56 2000
+++ ./engine/edict.h	Tue Jan  9 03:26:18 2001
@@ -1,7 +1,9 @@
 #if !defined EDICT_H
 #define EDICT_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 #define	MAX_ENT_LEAFS	48
 
--- ./engine/keydefs.h.orig	Wed Nov  8 16:36:56 2000
+++ ./engine/keydefs.h	Fri Jan 12 12:53:10 2001
@@ -2,7 +2,9 @@
 #ifndef KEYDEFS_H
 #define KEYDEFS_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 //
@@ -118,4 +120,4 @@
 #define K_MOUSE4		244
 #define K_MOUSE5		245
 
-#endif // KEYDEFS_H
\ No newline at end of file
+#endif // KEYDEFS_H
--- ./engine/progdefs.h.orig	Wed Nov  8 16:36:56 2000
+++ ./engine/progdefs.h	Fri Jan 12 12:53:12 2001
@@ -15,7 +15,9 @@
 #ifndef PROGDEFS_H
 #define PROGDEFS_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct
@@ -221,4 +223,4 @@
 } entvars_t;
 
 
-#endif // PROGDEFS_H
\ No newline at end of file
+#endif // PROGDEFS_H
--- ./engine/Progs.h.orig	Wed Nov  8 16:36:56 2000
+++ ./engine/Progs.h	Fri Jan 12 12:53:27 2001
@@ -79,4 +79,4 @@
 
 #define PROG_TO_EDICT(e) ((edict_t *)((byte *)sv.edicts + e))
 
-#endif // PROGS_H
\ No newline at end of file
+#endif // PROGS_H
--- ./engine/studio.h.orig	Wed Nov  8 16:36:56 2000
+++ ./engine/studio.h	Fri Jan 12 12:53:28 2001
@@ -359,4 +359,4 @@
 #define RAD_TO_STUDIO		(32768.0/M_PI)
 #define STUDIO_TO_RAD		(M_PI/32768.0)
 
-#endif
\ No newline at end of file
+#endif
--- ./engine/eiface.h.orig	Wed Nov  8 16:36:56 2000
+++ ./engine/eiface.h	Fri Jan 12 12:54:41 2001
@@ -482,4 +482,4 @@
 typedef int	(*APIFUNCTION)( DLL_FUNCTIONS *pFunctionTable, int interfaceVersion );
 typedef int	(*APIFUNCTION2)( DLL_FUNCTIONS *pFunctionTable, int *interfaceVersion );
 
-#endif EIFACE_H
+#endif /* EIFACE_H */
--- ./pm_shared/pm_debug.h.orig	Wed Nov  8 16:36:56 2000
+++ ./pm_shared/pm_debug.h	Fri Jan 12 12:53:55 2001
@@ -14,11 +14,13 @@
 ****/
 #ifndef PM_DEBUG_H
 #define PM_DEBUG_H
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 
 void PM_ViewEntity( void );
 void PM_DrawBBox(vec3_t mins, vec3_t maxs, vec3_t origin, int pcolor, float life);
 void PM_ParticleLine(vec3_t start, vec3_t end, int pcolor, float life, float vert);
 void PM_ShowClipBox( void );
 
-#endif // PMOVEDBG_H
\ No newline at end of file
+#endif // PMOVEDBG_H
--- ./pm_shared/pm_defs.h.orig	Wed Nov  8 16:36:56 2000
+++ ./pm_shared/pm_defs.h	Tue Jan  9 03:26:18 2001
@@ -15,7 +15,9 @@
 // pm_defs.h
 #if !defined( PM_DEFSH )
 #define PM_DEFSH
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 
 #define	MAX_PHYSENTS 600 		  // Must have room for all entities in the world.
 #define MAX_MOVEENTS 64
--- ./pm_shared/pm_info.h.orig	Wed Nov  8 16:36:56 2000
+++ ./pm_shared/pm_info.h	Fri Jan 12 12:53:56 2001
@@ -15,8 +15,10 @@
 // Physics info string definition
 #if !defined( PM_INFOH )
 #define PM_INFOH
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 
 #define MAX_PHYSINFO_STRING 256
 
-#endif // PM_INFOH
\ No newline at end of file
+#endif // PM_INFOH
--- ./pm_shared/pm_materials.h.orig	Wed Nov  8 16:36:56 2000
+++ ./pm_shared/pm_materials.h	Fri Jan 12 12:53:58 2001
@@ -14,7 +14,9 @@
 ****/
 #if !defined( PM_MATERIALSH )
 #define PM_MATERIALSH
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 
 #define CBTEXTURENAMEMAX	13			// only load first n chars of name
 
@@ -30,4 +32,4 @@
 #define CHAR_TEX_GLASS		'Y'
 #define CHAR_TEX_FLESH		'F'
 
-#endif // !PM_MATERIALSH
\ No newline at end of file
+#endif // !PM_MATERIALSH
--- ./pm_shared/pm_shared.h.orig	Wed Nov  8 16:36:56 2000
+++ ./pm_shared/pm_shared.h	Fri Jan 12 12:54:00 2001
@@ -18,7 +18,9 @@
 //
 #if !defined( PM_SHAREDH )
 #define PM_SHAREDH
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 
 void PM_Init( struct playermove_s *ppmove );
 void PM_Move ( struct playermove_s *ppmove, int server );
@@ -29,4 +31,4 @@
 #define SPEC_SMOOTH_ANGLES		(1<<1)
 #define SPEC_SMOOTH_ORIGIN		(1<<2)
 
-#endif
\ No newline at end of file
+#endif
--- ./pm_shared/pm_movevars.h.orig	Wed Nov  8 16:36:56 2000
+++ ./pm_shared/pm_movevars.h	Fri Jan 12 12:54:08 2001
@@ -37,4 +37,4 @@
 
 extern movevars_t movevars;
 
-#endif
\ No newline at end of file
+#endif
